> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kombo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create reconnection link

> Create a link that will allow the user to reconnect an integration. This is useful if you want to allow your users to update the credentials if the old ones for example expired.

Embed this the same way you would [embed the connect link](/connect/embedded-flow). By default, the link will be valid for 1 hour.

### Example Request Body

```json theme={null}
{
  "language": "en",
  "scope_config_id": "9Pv6aCFwNDEzPNmwjSsY9SQx",
  "link_type": "EMBEDDED"
}
```


## OpenAPI

````yaml POST /integrations/{integration_id}/relink
openapi: 3.1.0
info:
  title: Kombo API
  version: 1.0.0
servers:
  - url: https://api.kombo.dev/v1
    description: Kombo EU API
  - url: https://api.us.kombo.dev/v1
    description: Kombo US API
security:
  - ApiKey: []
tags:
  - name: General
  - name: Kombo Connect
    description: >-
      Endpoints for Kombo Connect, our end-user-facing flow for setting up new
      integrations.
  - name: Unified HRIS API
    description: Unified endpoints to access all the HR concepts you might need.
  - name: Unified ATS API
    description: Unified endpoints to access all the ATS concepts you might need.
  - name: Unified ATS (Assessment & Background Check) API
    description: >-
      Unified endpoints to operate Assessments and Background Checks for many
      applicant tracking systems.
  - name: Unified LMS API
    description: Unified endpoints to access all the LMS concepts you might need.
  - name: AI Apply
    description: Endpoints for AI-powered job application features.
  - name: Custom Endpoints
    description: Custom integration-specific endpoints.
paths:
  /integrations/{integration_id}/relink:
    post:
      tags:
        - General
      summary: Create reconnection link
      description: >-
        Create a link that will allow the user to reconnect an integration. This
        is useful if you want to allow your users to update the credentials if
        the old ones for example expired.


        Embed this the same way you would [embed the connect
        link](/connect/embedded-flow). By default, the link will be valid for 1
        hour.


        ### Example Request Body


        ```json

        {
          "language": "en",
          "scope_config_id": "9Pv6aCFwNDEzPNmwjSsY9SQx",
          "link_type": "EMBEDDED"
        }

        ```
      operationId: PostIntegrationsIntegrationIdRelink
      parameters:
        - name: integration_id
          in: path
          required: true
          description: POST /integrations/:integration_id/relink Parameter
          schema:
            $ref: >-
              #/components/schemas/PostIntegrationsIntegrationIdRelinkParameterIntegrationId
          examples:
            example1:
              value: personio:93fCvorjZ2jas7ZekX1V1n5d
      requestBody:
        description: POST /integrations/:integration_id/relink Request body
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/PostIntegrationsIntegrationIdRelinkRequestBody
            examples:
              example1:
                value:
                  language: en
                  scope_config_id: 9Pv6aCFwNDEzPNmwjSsY9SQx
                  link_type: EMBEDDED
      responses:
        '200':
          description: POST /integrations/:integration_id/relink Positive response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PostIntegrationsIntegrationIdRelinkPositiveResponse
        default:
          $ref: '#/components/responses/ErrorResponseGeneral'
      x-codeSamples:
        - lang: python
          label: PostIntegrationsIntegrationIdRelink
          source: |-
            from kombo import Kombo


            with Kombo(
                api_key="<YOUR_BEARER_TOKEN_HERE>",
            ) as k_client:

                res = k_client.general.create_reconnection_link(integration_id="personio:93fCvorjZ2jas7ZekX1V1n5d", language="en", scope_config_id="9Pv6aCFwNDEzPNmwjSsY9SQx", link_type="EMBEDDED")

                # Handle response
                print(res)
        - lang: typescript
          label: PostIntegrationsIntegrationIdRelink
          source: |-
            import { Kombo } from "@kombo-api/sdk";

            const kombo = new Kombo({
              api_key: "<YOUR_BEARER_TOKEN_HERE>",
            });

            async function run() {
              const result = await kombo.general.createReconnectionLink({
                integration_id: "personio:93fCvorjZ2jas7ZekX1V1n5d",
                body: {
                  scope_config_id: "9Pv6aCFwNDEzPNmwjSsY9SQx",
                },
              });

              console.log(result);
            }

            run();
        - lang: ruby
          label: PostIntegrationsIntegrationIdRelink
          source: >-
            require 'kombo'


            Models = ::Kombo::Models

            s = ::Kombo::Kombo.new(
              security: Models::Shared::Security.new(
                api_key: '<YOUR_BEARER_TOKEN_HERE>'
              )
            )

            res = s.general.create_reconnection_link(integration_id:
            'personio:93fCvorjZ2jas7ZekX1V1n5d', body:
            Models::Shared::PostIntegrationsIntegrationIdRelinkRequestBody.new(
              scope_config_id: '9Pv6aCFwNDEzPNmwjSsY9SQx'
            ))


            unless
            res.post_integrations_integration_id_relink_positive_response.nil?
              # handle response
            end
components:
  schemas:
    PostIntegrationsIntegrationIdRelinkParameterIntegrationId:
      type: string
    PostIntegrationsIntegrationIdRelinkRequestBody:
      type: object
      properties:
        language:
          type:
            - string
            - 'null'
          enum:
            - en
            - de
            - fr
            - it
            - es
          default: en
          description: Language of the connection flow UI.
        scope_config_id:
          type:
            - string
            - 'null'
          description: >-
            Specify a scope config which the integration will start using once
            the reconnection flow has been completed.


            This can be useful if you want to update the permissions of an
            integration, but only want the change to take effect once the user
            has updated their API credentials to prevent sync issues.
        link_type:
          type: string
          enum:
            - EMBEDDED
            - MAGIC_LINK
          default: EMBEDDED
          description: >-
            The type of link you want to create. `EMBEDDED` is for the [embedded
            flow](../guides/connect/embedded-flow) using the Kombo Connect SDK
            (these links are valid for 1 hour) and `MAGIC_LINK` is for [magic
            links](../guides/connect/magic-links) which you send out manually to
            customers (there are valid for 1 year).


            This defaults to `EMBEDDED`, which is our recommended method of
            implementing the connection flow for a seamless user experience.
    PostIntegrationsIntegrationIdRelinkPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            link:
              type: string
              format: uri
          required:
            - link
      required:
        - status
        - data
  responses:
    ErrorResponseGeneral:
      description: The standard error response with just the platform error codes.
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type:
                      - string
                      - 'null'
                    enum:
                      - PLATFORM.RATE_LIMIT_EXCEEDED
                      - PLATFORM.CONCURRENCY_LIMIT_EXCEEDED
                      - PLATFORM.INTEGRATION_NOT_FOUND
                      - PLATFORM.INPUT_INVALID
                      - PLATFORM.UNKNOWN_ERROR
                      - PLATFORM.IP_NOT_WHITELISTED
                      - PLATFORM.AUTHENTICATION_INVALID
                      - PLATFORM.TASK_TIMED_OUT
                    example: PLATFORM.RATE_LIMIT_EXCEEDED
                    description: >-
                      Some errors include an error code that can be used to
                      identify their cause. See the [Error Handling
                      Docs](https://docs.kombo.dev/guides/errors) for more
                      information. For your error handling logic please use the
                      error `code` instead of other properties (e.g. message,
                      http status code, ...).
                  title:
                    type:
                      - string
                      - 'null'
                    description: A static, human-readable label.
                  message:
                    type: string
                    description: >-
                      A dynamic, detailed description of what went wrong in this
                      specific instance.
                  log_url:
                    type:
                      - string
                      - 'null'
                    format: uri
                    description: >-
                      The log page in the Kombo UI lists every interaction with
                      full details. If you need assistance, share that link with
                      our support team.
                required:
                  - code
                  - title
                  - message
                  - log_url
                description: Error details with structured code for programmatic handling.
            required:
              - status
              - error
          examples:
            Error Response:
              description: >-
                When building error handling logic, always use the `code` field
                to identify specific error types programmatically. See the
                complete list of error codes in the
                [docs](https://docs.kombo.dev/guides/errors).
              value:
                status: error
                error:
                  code: INTEGRATION.MODEL_NOT_AVAILABLE
                  title: >-
                    This data model isn't supported for the selected
                    integration.
                  message: >-
                    The "employees" model is not yet available for Greenhouse.
                    Please reach out to Kombo if you need this functionality.
                  log_url: https://app.kombo.dev/my-prod/logs?interactionId=123456
            Minimal Error Response:
              description: >-
                The "message" is always required while other fields can also be
                `null`. See the [docs](https://docs.kombo.dev/guides/errors) for
                more information.
              value:
                status: error
                error:
                  code: null
                  title: null
                  message: The message is always in the response.
                  log_url: null
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      description: >-
        Create an API key on the [Secrets](https://app.kombo.dev/secrets) page
        in the Kombo dashboard.

````